Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Developer
sdedios
Posts: 1
Registered: ‎11-04-2008

Component path not recognized when selecting JDE Component Package 4.5 from Eclipse Plugin

I'm running the latest version of Eclipse (3.4.1 M20080911-1700) on Windows Vista with the following plugins installed through the Eclipse Software Updated as per the documentation instructions:

 

  • BlackBerry JDE 1.0.0.50
  • BlackBerry JDE Component Package 4.5.0.14
  • Blackberry JDE Component Package 4.6.0.16B

I can build and simulate without a problem if I use the 4.6 Component Package, however I am unable to select the 4.5 Component Package because the IDE configuration dialog issues the following error from Window->Preferences->BlackBerry JDE->Installed Components:

 

The Component path is not recognized.

 

I have tried uninstalling the package that ships with the Eclipse plugin and reinstalling the standalone component, but that doesn't fix the issue.  What's confusing Any help you can provide would be greatly appreciated.

 

I've installed JDE version 4.6.0.12 out of C:\Program Files.

 

 

Please use plain text.
Administrator
MSohm
Posts: 14,065
Registered: ‎07-09-2008
My Carrier: Bell

Re: Component path not recognized when selecting JDE Component Package 4.5 from Eclipse Plugin

Please note that the BlackBerry JDE Plug-in for Eclipse requires specific component packs and can no longer reference an installed copy of the BlackBerry JDE.  You can download the component packs here:

 

http://na.blackberry.com/eng/developers/javaappdev/javaeclipseplug.jsp

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
New Developer
neek2000
Posts: 9
Registered: ‎11-12-2008

Re: Component path not recognized when selecting JDE Component Package 4.5 from Eclipse Plugin

It's not a good idea.

 

I have to install all JDE versions & Eclispe with all components to doing develop...

Please use plain text.
Administrator
MSohm
Posts: 14,065
Registered: ‎07-09-2008
My Carrier: Bell

Re: Component path not recognized when selecting JDE Component Package 4.5 from Eclipse Plugin

You don't need to install both the BlackBerry JDE and BlackBerry JDE Plug-in for Eclipse.  You can use either one as a stand alone development tool for creating BlackBerry applications.
Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.